Innhold

# XOR-operator

Utfører en logisk Eksklusiv-Eller-kombinasjon av to uttrykk.

## Syntaks

    Resultat = Uttrykk1 XOR Uttrykk2

## Parameter

Resultat: Enhver numerisk variabel som inneholder resultatet av kombinasjonen.

Uttrykk1, Uttrykk2: Alle numeriske uttrykk du vil kombinere.

En logisk Eksklusiv-Eller-konjunksjon av to boolske uttrykk returnerer verdien True bare hvis begge uttrykkene er forskjellige fra hverandre.

En bitvis Exclusive-Or-konjunksjon returnerer en bit hvis den tilsvarende biten er satt i bare ett av de to uttrykkene.

## Eksempel:

    Sub ExampleXOR
    Dim vA As Variant, vB As Variant, vC As Variant, vD As Variant
    Dim vOut As Variant
        vA = 10: vB = 8: vC = 6: vD = Null
        vOut = vA > vB XOR vB > vC ' returnerer 0
        vOut = vB > vA XOR vB > vC ' returnerer -1
        vOut = vA > vB XOR vB > vD ' returnerer -1
        vOut = (vB > vD XOR vB > vA) ' returnerer 0
        vOut = vB XOR vA ' returnerer 2
    End Sub